.news-group {
    display: grid;
    grid-row-gap: rem(20);
    grid-column-gap: rem(20);
    grid-template-columns: 1fr;

    @include media-breakpoint-up(sm) {
        grid-template-columns: 1fr 1fr;
    }

    @include media-breakpoint-up(md) {
        grid-row-gap: rem(24);
        grid-column-gap: rem(24);
    }

    @include media-breakpoint-up(xl) {
        grid-template-columns: 1fr 1fr 1fr;
    }
}

.post-group {
    display: grid;
    grid-row-gap: rem(20);
    grid-column-gap: rem(20);
    grid-template-columns: 1fr;

    @include media-breakpoint-up(sm) {
        grid-row-gap: rem(24);
        grid-column-gap: rem(24);
    }

    @include media-breakpoint-up(md) {

        &--grid {
            grid-template-columns: 1fr 1fr;
        }
    }
}

.card {
    background: $white;
    overflow: hidden;
    border-radius: 10px;
    box-shadow: 0px 5px 30px rgba(0, 0, 0, 0.07);

    &__media {
        display: block;
        overflow: hidden;
        position: relative;
    }

    &__image {
        z-index: 1;
        height: 100%;
        display: block;
        position: relative;
    }

    &__content {
        padding: rem(20);
    }

    &__date {
        color: $gray;
        font-size: rem(11);
        line-height: rem(13);
        margin-top: rem(10);
    }

    &__hover {
        z-index: 20;
        top: calc(50% - 25px);
        left: calc(50% - 25px);
        width: 50px;
        height: 50px;
        display: block;
        position: absolute;
        border-radius: 50%;
        background: rgba(255, 255, 255, 0.3);
        opacity: 0;
        visibility: hidden;
        transition: .3s;

        &:before {
            z-index: 10;
            width: 40px;
            height: 40px;
            content: '';
            display: block;
            top: calc(50% - 20px);
            left: calc(50% - 20px);
            border-radius: 50%;
            position: absolute;
            background: $white url("../img/icon-plus.svg") 50% 50% no-repeat;
        }
    }

    &__title {
        color: $black;
        font-weight: 600;
        font-size: rem(15);
        line-height: rem(18);
        margin-bottom: rem(10);

        a {
            color: $black;
            text-decoration: none;

            &:hover {
                color: $violet;
                text-decoration: none;
            }
        }
    }

    &__petition {
        padding: 0 rem(10) rem(10) rem(10);
    }

    &__authors {
        padding: 0;
        font-size: 0;
        line-height: 0;
        list-style: none;
        margin: rem(15) 0 0 0;

        li {

            &:not(:last-child) {
                margin-bottom: rem(7);
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__content {
            padding: rem(25);
        }

        &__title {
            font-size: rem(17);
            line-height: rem(21);
            margin-bottom: rem(15);
        }

        &__date {
            font-size: rem(12);
            line-height: rem(15);
            margin-top: rem(15);
        }

        &__petition {
            padding: rem(10);
            border-top: 1px solid #EEEAEC;
        }

        &__authors {
            margin-top: rem(20);

            li {

                &:not(:last-child) {
                    margin-bottom: rem(10);
                }
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__body {
            display: flex;
            min-height: rem(280);
        }

        &__wrap {
            display: flex;
            flex-direction: column;
            justify-content: center;
        }

        &--inline {

            .card {

                &__media {
                    height: auto;
                    width: rem(360);
                    flex-shrink: 0;
                    border-radius: 10px 0 0 10px;
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__media {

            &:before {
                top: 0;
                left: 0;
                right: 0;
                bottom: 0;
                z-index: 5;
                content: '';
                position: absolute;
                background: linear-gradient(277.75deg, rgba(49, 39, 130, 0.8) 6.54%, rgba(58, 37, 130, 0.8) 10.04%, rgba(149, 17, 128, 0.8) 51.17%, rgba(207, 5, 126, 0.8) 80.04%, rgba(229, 0, 126, 0.8) 94.04%);
                opacity: 0;
                visibility: hidden;
                transition: .3s;
            }
        }

        &:hover {

            .card {

                &__media {

                    &:before {
                        opacity: 1;
                        visibility: visible;
                        transition: .3s;
                    }
                }

                &__hover {
                    opacity: 1;
                    visibility: visible;
                    transition: .3s;
                }
            }
        }
    }

    @include media-breakpoint-up(xxl) {

        &__body {
            min-height: rem(265);
        }

        &__content {
            padding: rem(30);
        }

        &--inline {

            .card {

                &__media {
                    width: rem(471);
                }

                &__content {
                    padding: rem(40);
                }
            }
        }

        &__authors {
            display: flex;
            align-items: center;

            li {

                &:not(:last-child) {
                    margin: 0 rem(10) 0 0;
                }
            }
        }
    }
}

.card-petition {
    padding: rem(20);
    background: #FAF8F9;
    border-radius: 10px;

    &__link {
        color: $black;
        font-weight: 600;
        font-size: rem(14);
        line-height: rem(17);
        margin-bottom: rem(20);
        text-decoration: none;
        display: flex;
        align-items: center;

        i {
            display: block;
            width: rem(40);
            height: rem(40);
            overflow: hidden;
            border-radius: 50%;
            margin-right: rem(10);
            flex-shrink: 0;
        }

        span {
            display: inline-block;
        }
    }

    &__tag {
        color: $violet;
        font-weight: 400;
        font-size: 11px;
        line-height: 13px;
        background: $white;
        border-radius: 20px;
        display: inline-block;
        text-decoration: none;
        margin-bottom: rem(12);
        padding: rem(6) rem(12);

        &:hover {
            color: $violet;
            text-decoration: none;
        }
    }

    &__subscribers {
        font-weight: 400;
        font-size: rem(14);
        line-height: rem(17);
        display: flex;
        align-items: center;
    }

    &__users {
        display: flex;
        align-items: center;
        margin-right: rem(10);
    }

    &__user {
        width: 25px;
        height: 25px;
        overflow: hidden;
        border-radius: 50%;
        flex-shrink: 0;

        &:not(:first-child) {
            margin-left: -10px;
        }
    }

    &__text {

        br {
            display: none;
        }
    }


    @include media-breakpoint-up(md) {
        min-height: rem(138);
        padding: rem(20) rem(30);
        display: flex;
        align-items: center;

        &__link {
            font-size: rem(15);
            line-height: rem(18);
            width: rem(260);
            margin: 0 rem(24) 0 0;

            i {
                width: rem(50);
                height: rem(50);
                margin-right: rem(20);
            }
        }

        &__tag {
            font-size: rem(12);
            line-height: rem(15);
            margin-bottom: rem(15);
        }

        &__text {
        }

        &__user {
            width: 30px;
            height: 30px;
        }
    }

    @include media-breakpoint-up(lg) {
        min-height: rem(132);

        &__link {
            width: rem(430);
            padding-right: rem(30);

            i {
                width: rem(70);
                height: rem(70);
                margin-right: rem(25);
            }
        }
    }
}

.card-author {
    color: $gray;
    font-size: rem(11);
    line-height: rem(13);
    border-radius: 100px;
    text-decoration: none;
    padding: 2px 12px 2px 2px;
    border: 1px dashed #EEEAEC;
    display: inline-flex;
    align-items: center;

    &:hover {
        color: $gray;
        text-decoration: none;
    }

    &__photo {
        width: 30px;
        height: 30px;
        display: block;
        overflow: hidden;
        border-radius: 50%;
        margin-right: rem(12);
        flex-shrink: 0;
    }

    @include media-breakpoint-up(md) {
        font-size: rem(12);
        line-height: rem(15);
    }
}
